type __VLS_Props = {
    invalid: boolean;
    disabledSave?: boolean;
};
declare const _default: import("vue").DefineComponent<__VLS_Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "fill:save": () => any;
    "fill:cancel": () => any;
    "create:add": () => any;
}, string, import("vue").PublicProps, Readonly<__VLS_Props> & Readonly<{
    "onFill:save"?: () => any;
    "onFill:cancel"?: () => any;
    "onCreate:add"?: () => any;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
export default _default;
